# $Revision: 1.23 $, $Date: 2006/09/21 23:03:15 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Exception
Summary:	Test::Exception - convenience routines for testing exception based code
Summary(pl):	Test::Exception - wygodne funkcje do testowania kodu bazujcego na wyjtkach
Name:		perl-Test-Exception
Version:	0.21
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fc1aab12ca0867dd46328e169c06a21c
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-IO-String
BuildRequires:	perl-Pod-Coverage
BuildRequires:	perl-Sub-Uplevel >= 0.06
BuildRequires:	perl-Test-Builder-Tester >= 1.01
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a few convenience methods for testing exception
based code.  It is built with Test::Builder and plays happily with
Test::More and friends.

%description -l pl
Ten modu udostpnia kilka wygodnych metod do testowania kodu
bazujcego na wyjtkach. Jest budowany z uyciem Test::Builder, dziaa
sprawnie z Test::More i przylegociami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
mv t/Exception.t{,fail}
mv t/stacktrace.t{,fail}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Exception.spec,v $
Revision 1.23  2006/09/21 23:03:15  glen
- disable failing tests, rel 2

Revision 1.22  2005/06/14 07:01:51  petec
- up to 0.21

Revision 1.21  2004/11/03 22:30:47  paladine
- formatting

Revision 1.20  2004/08/28 11:05:09  adamg
- updated to 0.20

Revision 1.19  2004/08/21 21:07:52  adamg
- updated to 0.19

Revision 1.18  2004/08/14 07:02:46  adamg
- updated to 0.18

Revision 1.17  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.16  2004/05/06 18:21:13  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/02 23:05:26  ankry
- fixed license, cosmetics

Revision 1.14  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.13  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.12  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:09:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:42:33  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:36  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/02/05 16:19:41  ankry
- autoupdated to 0.15

Revision 1.3  2002/08/31 12:26:26  radek
- version 0.12

Revision 1.2  2002/08/26 16:20:01  qboosh
- pl description

Revision 1.1  2002/08/25 15:21:04  radek
- new, STBR
